com.beaglebuddy.mpeg.enums

## Enum GainOriginator

- java.lang.Object
- - java.lang.Enum<GainOriginator>
  - - com.beaglebuddy.mpeg.enums.GainOriginator

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GainOriginator>

      public enum GainOriginator
      extends java.lang.Enum<GainOriginator>

  The list of gain originators supported by the LAME encoder.
  See Also:
    `LAMEHeader`, LAME Header Format

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARTIST` set by artist
    `MODEL` set by a model
    `NOT_SET` not set
    `RMS_AVERAGE` set by the simple RMS average
    `USER` set by the user

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` gets the name of the LAME replay gain originator.
    `java.lang.String` | `toString()` gets a string representation of the LAME replay gain originator enum.
    `static GainOriginator` | `valueOf(int originator)` converts an integral value to its corresponding LAME replay gain originator enum.
    `static GainOriginator` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GainOriginator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_SET

          public static final GainOriginator NOT_SET

      not set

    - #### ARTIST

          public static final GainOriginator ARTIST

      set by artist

    - #### USER

          public static final GainOriginator USER

      set by the user

    - #### MODEL

          public static final GainOriginator MODEL

      set by a model

    - #### RMS_AVERAGE

          public static final GainOriginator RMS_AVERAGE

      set by the simple RMS average

  - ### Method Detail

    - #### values

          public static GainOriginator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GainOriginator c : GainOriginator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GainOriginator valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      gets the name of the LAME replay gain originator.
      Returns:
        the name of the LAME replay gain originator.

    - #### valueOf

          public static GainOriginator valueOf(int originator)
                                        throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding LAME replay gain originator enum.
      Parameters:
        `originator` - integral value to be converted to an LAME replay gain originator enum.
      Returns:
        the LAME replay gain originator enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid LAME replay gain originator.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the LAME replay gain originator enum.
      Overrides:
        `toString` in class `java.lang.Enum<GainOriginator>`
      Returns:
        a string representation of the LAME replay gain originator enum.